Cyberduck Mountain Duck CLI

#937 closed enhancement (wontfix)

Open bookmark in new window preference and contextual menu

Reported by: jamescat Owned by: dkocher
Priority: low Milestone:
Component: interface Version: 2.6.2
Severity: minor Keywords: bookmarks windows
Cc: Architecture:
Platform:

Description

So far, when using Cyberduck, I leave my bookmarks drawer open all the time, and I keep trying to open a new server by either double-clicking or right-clicking on a bookmark - expecting to be able to open it in a new window.

Thankfully, with the "Confirm disconnect" setting on, double-clicking will warn me before I accidentally disconnect a session this way. But trying to right-click is almost as intuitive an option, if not equally so, and works no better since there is not a contextual menu that appears.

While opening a new window first is not a great pain, I have found so far that it is not an intuitive step when trying to open a new connection. - Since I can see the bookmark I want to open, I keep expecting to be able to just use it to open the new window.

As a solution, I would definitely like to see a preference for "open bookmarks in same browser window" vs. "open in new browser window". (Obviously though, still opening it in the same window, despite the preference, if the current window hasn't been connected previously... such as just after a New Browser command or when opening the application initially. We don't want to spawn unnecessary windows, after all.)

And additionally, if possible I would like to see a contextual menu item to open bookmarks in new windows.

Change History (4)

comment:1 Changed on Oct 20, 2006 at 10:16:44 AM by jamescat

  • Summary changed from Open bookmark in new window from contextual menu to Open bookmark in new window preference and contextual menu

comment:2 Changed on Dec 21, 2006 at 9:31:21 PM by dkocher

  • Component changed from core to interface
  • Milestone 2.8 deleted

comment:3 Changed on Jan 19, 2007 at 6:20:33 PM by dkocher

A contextual menu has been added as of 2.7.1. A new item Connect to server in new browser should now be added.

comment:4 Changed on May 18, 2007 at 8:45:35 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software